
Foreman - Bug #11861

Smart variables can't be removed from puppet class

09/17/2015 07:34 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2743

  

Description

A smart variable can't be deleted or removed from the puppetclass.

From puppet classes: edit a puppet class with a smart variable, try to remove the smart variable, nothing happens.

From smart variables index page: click delete on a smart variable, you get an exception: undefined local variable or method

`resource' for #<LookupKeysController:0x007f4b500ba750>

Related issues:

Related to Foreman - Refactor #10832: Make LookupKey an STI for puppet and va... Closed 06/16/2015

Associated revisions

Revision 9f55cd6e - 09/21/2015 07:32 AM - Ori Rabin

Fixes #11861 - Smart variables can be removed and deleted

History

#1 - 09/17/2015 07:38 AM - Dominic Cleal

- Related to Refactor #10832: Make LookupKey an STI for puppet and variable keys added

#2 - 09/17/2015 07:39 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 09/20/2015 03:55 AM - Ori Rabin

- Assignee changed from Tom Caspy to Ori Rabin

#4 - 09/20/2015 07:05 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2743 added

- Pull request deleted ()

#5 - 09/21/2015 07:32 AM - Dominic Cleal

- Category set to Parameters

#6 - 09/21/2015 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9f55cd6eb028aff3e3a74e870452864ae0a615fc.
